Bug 1804572 - Puddle RHOS_TRUNK-16.0-RHEL-8-20200219.n.0 breaks during UC installation (Property RootStackName not assigned)
Summary: Puddle RHOS_TRUNK-16.0-RHEL-8-20200219.n.0 breaks during UC installation (Pro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 16.0 (Train)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: z1
: 16.0 (Train on RHEL 8.1)
Assignee: Lon Hohberger
QA Contact: Sasha Smolyak
URL:
Whiteboard:
: 1804639 1805185 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-19 08:04 UTC by Michele Baldessari
Modified: 2020-03-03 09:45 UTC (History)
10 users (show)

Fixed In Version: openstack-tripleo-heat-templates-11.3.2-0.20200211065544.d3d6dc3.el8ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-03 09:45:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0655 0 None None None 2020-03-03 09:45:28 UTC

Description Michele Baldessari 2020-02-19 08:04:54 UTC
Description of problem:
UC installation breaks for me with the puddle in the subject like this:
2020-02-19 02:41:42.167 15966 ERROR heat.engine.resource Traceback (most recent call last):                                                                   
2020-02-19 02:41:42.167 15966 ERROR heat.engine.resource   File "/usr/lib/python3.6/site-packages/heat/engine/properties.py", line 421, in validate           
2020-02-19 02:41:42.167 15966 ERROR heat.engine.resource     self._get_property_value(key, validate=True)                                                     
2020-02-19 02:41:42.167 15966 ERROR heat.engine.resource   File "/usr/lib/python3.6/site-packages/heat/engine/properties.py", line 509, in _get_property_value
2020-02-19 02:41:42.167 15966 ERROR heat.engine.resource     raise ValueError(_('Property %s not assigned') % key)                                            
2020-02-19 02:41:42.167 15966 ERROR heat.engine.resource ValueError: Property RootStackName not assigned                                                      

Seems the following commit brought it in:
commit 8316a6142b4748370cf11e61df1bbbb0ca5a14b3                          
Author: Emilien Macchi <emilien@redhat.com>                              
Date:   Wed Nov 27 14:10:32 2019 -0500                                   
                                                                         
    Deploy /etc/openstack/clouds.yaml with Ansible                       
                                                                         
    Replace the python script that was run on post-config, by an Ansible 
    task running on the host where Keystone is running.                  
                                                                         
    It'll be useful later when using OpenStackSDK to have access to the  
    credentials during the deployment and not having to wait the far end.
                                                                         
    It's also reducing the Heat resources.                               
                                                                         
    Change-Id: I585abc3e6a3b9b8ae9183e0b5170df2e39301e17                 
    (cherry picked from commit 25a2045e6205d07f38cc6a065f9ad67b86ebe43d) 

The problem is that we're missing the following in tripleoclient:
commit f494dc61ba0f595da846c768bf54eff11d782d27                              
Author: Emilien Macchi <emilien@redhat.com>                                  
Date:   Thu Dec 5 10:05:07 2019 -0500                                        
                                                                             
    tripleo_deploy: set RootStackName                                        
                                                                             
    This parameter is useful for setting up the /etc/openstack/clouds.yaml.  
                                                                             
    Change-Id: Iba87e39857269441cad76a33b7a52fcae30dddba                     

So we need a build of python-tripleoclient that contains the above backport: https://review.opendev.org/#/c/706835/


Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-11.3.2-0.20200219061444.a1824a3.el8ost.noarch
python3-tripleoclient-12.3.2-0.20200130192329.78ac810.el8ost.noarch

Comment 1 Michele Baldessari 2020-02-19 08:10:22 UTC
I can confirm that applying https://review.opendev.org/#/c/706835/ to python-tripleoclient gets us past the initial failure

Comment 2 Michele Baldessari 2020-02-19 08:34:35 UTC
FTR to pass the UC installation we also need a newer tripleo-ansible:
tripleo-ansible-0.4.2-0.20200219055448.99478aa.el8ost.noarch.rpm worked for me whereas the compose has tripleo-ansible-0.4.2-0.20200207140442.b750574.el8ost.noarch.rpm which will cause other errors

Comment 3 Michele Baldessari 2020-02-19 08:39:00 UTC
(In reply to Michele Baldessari from comment #2)
> FTR to pass the UC installation we also need a newer tripleo-ansible:
> tripleo-ansible-0.4.2-0.20200219055448.99478aa.el8ost.noarch.rpm worked for
> me whereas the compose has
> tripleo-ansible-0.4.2-0.20200207140442.b750574.el8ost.noarch.rpm which will
> cause other errors

I take that back: A newer tripleo-ansible gets us past some initial keystone errors, but then we fail with  load_config() got an unexpected keyword argument 'overrides'. I assume that if you update tripleo-ansible you also need to some other bits in tht or whatnot, I ran out of time to chase this today

Comment 4 Michele Baldessari 2020-02-19 10:13:12 UTC
So here is the list of rpms that got me through to a successful undercloud install:
[root@undercloud-0 tmp]# rpm -q tripleo-ansible python3-paunch openstack-tripleo-heat-templates python3-tripleoclient
tripleo-ansible-0.4.2-0.20200219055448.99478aa.el8ost.noarch
python3-paunch-5.3.2-0.20200218235536.0207aea.el8ost.noarch
openstack-tripleo-heat-templates-11.3.2-0.20200219061444.a1824a3.el8ost.noarch
python3-tripleoclient-12.3.2-0.20200130192329.78ac810.el8ost.noarch

"""
Writing the stack virtual update mark file /var/lib/tripleo-heat-installer/update_mark_undercloud

##########################################################

The Undercloud has been successfully installed.

Useful files:

Password file is at ~/undercloud-passwords.conf
The stackrc file is at ~/stackrc

Use these files to interact with OpenStack services, and
ensure they are secured.
"""

Comment 5 Michele Baldessari 2020-02-19 10:33:34 UTC
*** Bug 1804639 has been marked as a duplicate of this bug. ***

Comment 6 Jose Luis Franco 2020-02-19 13:54:23 UTC
The very same issue is happening when upgrading the Undercloud from OSP15 to latest OSP16:

2020-02-19 13:04:03.069 421467 INFO heat.engine.resource [req-35051fa9-504a-4d60-9956-8c2c3c2f6e70 admin admin - - -] CREATE: ResourceChain "ServiceChain" Stack "undercloud-UndercloudServiceChain-gedbifbqrdqn" [5533d400-34b3-4353-b25a-ccf8c725915d]
2020-02-19 13:04:03.069 421467 ERROR heat.engine.resource Traceback (most recent call last):
2020-02-19 13:04:03.069 421467 ERROR heat.engine.resource   File "/usr/lib/python3.6/site-packages/heat/engine/properties.py", line 421, in validate
2020-02-19 13:04:03.069 421467 ERROR heat.engine.resource     self._get_property_value(key, validate=True)
2020-02-19 13:04:03.069 421467 ERROR heat.engine.resource   File "/usr/lib/python3.6/site-packages/heat/engine/properties.py", line 509, in _get_property_value
2020-02-19 13:04:03.069 421467 ERROR heat.engine.resource     raise ValueError(_('Property %s not assigned') % key)
2020-02-19 13:04:03.069 421467 ERROR heat.engine.resource ValueError: Property RootStackName not assigned
2020-02-19 13:04:03.069 421467 ERROR heat.engine.resource 
2020-02-19 13:04:03.069 421467 ERROR heat.engine.resource During handling of the above exception, another exception occurred:
2020-02-19 13:04:03.069 421467 ERROR heat.engine.resource 
2020-02-19 13:04:03.069 421467 ERROR heat.engine.resource Traceback (most recent call last):
2020-02-19 13:04:03.069 421467 ERROR heat.engine.resource   File "/usr/lib/python3.6/site-packages/heat/engine/properties.py", line 433, in validate
2020-02-19 13:04:03.069 421467 ERROR heat.engine.resource     path=path, message=six.text_type(e))
2020-02-19 13:04:03.069 421467 ERROR heat.engine.resource heat.common.exception.StackValidationFailed: Property RootStackName not assigned
2020-02-19 13:04:03.069 421467 ERROR heat.engine.resource 
2020-02-19 13:04:03.069 421467 ERROR heat.engine.resource During handling of the above exception, another exception occurred:
2020-02-19 13:04:03.069 421467 ERROR heat.engine.resource 
2020-02-19 13:04:03.069 421467 ERROR heat.engine.resource Traceback (most recent call last):
2020-02-19 13:04:03.069 421467 ERROR heat.engine.resource   File "/usr/lib/python3.6/site-packages/heat/engine/resource.py", line 1876, in validate_template
2020-02-19 13:04:03.069 421467 ERROR heat.engine.resource     with_value=self.stack.strict_validate)
2020-02-19 13:04:03.069 421467 ERROR heat.engine.resource   File "/usr/lib/python3.6/site-packages/heat/engine/properties.py", line 448, in validate
2020-02-19 13:04:03.069 421467 ERROR heat.engine.resource     message=ex.error_message
2020-02-19 13:04:03.069 421467 ERROR heat.engine.resource heat.common.exception.StackValidationFailed: Property error: Properties: Property RootStackName not assigned

http://cougar11.scl.lab.tlv.redhat.com/DFG-upgrades-upgrade-upgrade-15-16_director-rhel-virthost-3cont_2comp_3ceph-ipv4-geneve-ha/49/undercloud-0.tar.gz?undercloud-0/var/log/heat-launcher/undercloud_deploy-tzr_4xmu/heat.log

Comment 12 Michele Baldessari 2020-02-20 15:16:46 UTC
*** Bug 1805185 has been marked as a duplicate of this bug. ***

Comment 20 errata-xmlrpc 2020-03-03 09:45:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0655


Note You need to log in before you can comment on or make changes to this bug.